Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.encoding.ser
Class MetaDataTypeDesc

    java.lang.Object
      org.apache.axis.description.TypeDesc
          org.jboss.webservice.encoding.ser.MetaDataTypeDesc

public class MetaDataTypeDesc
extends org.apache.axis.description.TypeDesc

An Axis TypeDesc that can get additional information from the ws4ee-deployment.xml

Type element has the same basic structure as defined by the wsdd schema.

A additionally you can have a child element which more information on every field

Initially the TypeDesc is initalized through introspection from a java type, all fields will be encoded xsd style in a random order.

Here you can specify the name and encoding style for every element.

The is optional, but when present must contain all fields from the java type. This is usefull when the schema complexType specifies instead of .

Here is an example:

Since:
  18-June-2004
Author:
  thomas.diesler@jboss.org

Field Summary

Fields inherited from class org.apache.axis.description.TypeDesc
`noClasses, noObjects`

Constructor Summary
`MetaDataTypeDesc(Class javaClass, javax.xml.namespace.QName xmlType, BeanXMLMetaData metaData)`

Methods inherited from class org.apache.axis.description.TypeDesc
`addFieldDesc, getAnyContentDescriptor, getAnyDesc, getAttributeNameForField, getElementNameForField, getFieldByName, getFieldNameForAttribute, getFieldNameForElement, getFields, getFields, getPropertyDescriptorMap, getPropertyDescriptors, getTypeDescForClass, getXmlType, hasAttributes, registerTypeDescForClass, setFields, setPropertyDescriptors, setXmlType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaDataTypeDesc

    public MetaDataTypeDesc(Class javaClass,
                            javax.xml.namespace.QName xmlType,
                            BeanXMLMetaData metaData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.